echo off
rem 
rem ͻ
rem  This runs our disk optimizer, VOPT.EXE no more than once per day  
rem  (/i:1).  LCG/Remind will track using the date file vopt.dat.  No  
rem  message will be displayed (/m:).  If the program triggers the     
rem  errorlevel will be set to 1, otherwise it will be set to 0.       
rem ͼ
lcg-rmnd /i:1 /d:vopt.dat /m: 
if not errorlevel 1 goto :CHECK2
echo Beginning the Vopt program...
vopt c:
vopt d:
lcg-rmnd /reset /d:vopt.dat 
:CHECK2
rem 
rem 
rem ͻ
rem  In general, we do a complete back-up once a month, and incremental 
rem  back-ups every 5 days.  The next will trigger on the first of each 
rem  month (/e:01), or, if we are out of the office on the first, will  
rem  trigger at least every 33 days, but NOT if there has been a        
rem  backup in the past 4 days.                                         
rem                                   When triggered, it will display   
rem  the following multiple choice message (/m:month.msg):              
rem                                                                     
rem            You last made a complete disk backup                     
rem            on %d.                                                   
rem                                                                     
rem               1 -- Quit                                             
rem               2 -- Make an incremental backup                       
rem               3 -- Make a complete disk backup                      
rem                                                                     
rem               Your Choice -- %c                                     
rem                                                                     
rem  LCG/Remind will return an errorlevel of 0 if not triggered, or will
rem  set it according to the answer to the question displayed.  Because 
rem  this is a complicated question we will allow 180 seconds for an    
rem  answer (/l:180)                                                    
rem ͼ
lcg-rmnd /i:33 /e:01 /n:4 /d:month.dat /m:month.msg /l:180                
if errorlevel 3 goto :COMPLETE
if errorlevel 2 goto :INCREMENTAL
goto :CHECK3
:COMPLETE
echo Beginning complete backup...
pcbackup c: /b
pcbackup d: /b
lcg-rmnd /reset /d:month.dat 
goto :DONE
:CHECK3
rem 
rem 
rem ͻ
rem  The next series will "force" a backup if it has been more than 10  
rem  days, suggest one every Monday if it has been more than 5 days, and
rem  show a friendly message if the backup has been within the past     
rem  5 days.  It determines this by examining the file c:\pcbackup.log  
rem  which the back-up program automatically creates.                   
rem                                                                     
rem  The file force.msg contains this message:                          
rem                                                                     
rem            The last disk backup was %n days                         
rem            ago (on %d).                                             
rem                                                                     
rem            A new backup is overdue.                                 
rem                                                                     
rem  The file friendly.msg looks like this:                             
rem                                                                     
rem            Your hard disk was last backed up                        
rem            on %d.                                                   
rem ͼ
lcg-rmnd /i:10 /d:c:\pcbackup.log /m:force.msg /s
if errorlevel 1 goto :INCREMENTAL                
lcg-rmnd /w:1 /n:5 /d:c:\pcbackup.log            
if errorlevel 3 goto :DONE
if errorlevel 2 goto :INCREMENTAL
if errorlevel 1 goto :DONE
goto :CHECK4
:INCREMENTAL
echo Beginning incremental backup...
rem  pcbackup c: /m /b
rem  pcbackup d: /m /b
goto :DONE
:CHECK4
lcg-rmnd /i:0 /d:c:\pcbackup.log /m:friendly.msg /l:5 
:DONE
echo Done with remind#2.bat
